'use strict'
Object.defineProperty(exports, '__esModule', { value: true })
const parser_1 = require('./parser')
/**
 * Process a single lint rule
 */
const processRule = (data, rule) => {
  if (!rule) {
    return
  }
  const handler = typeof rule === 'function' ? rule : rule.handler
  const filter = typeof rule === 'function' ? () => true : rule.filter
  if (!handler) {
    return
  }
  ;(0, parser_1.travel)(data.tokens, filter, handler, data.marks)
}
exports.default = processRule
