'use strict'
/**
 * @fileoverview
 *
 * This rule is used to revert changes of spaceAfter with linebreaks.
 * And it's compulsory.
 *
 * TODO: better blockquote and indentation handling in markdown
 */
Object.defineProperty(exports, '__esModule', { value: true })
exports.defaultConfig = void 0
const report_1 = require('../report')
const util_1 = require('./util')
const generateHandler = (options) => {
  // do nothing
  options
  return (token) => {
    if (token.spaceAfter && token.spaceAfter.match(/\n/)) {
      ;(0, util_1.removeValidation)(
        token,
        '',
        report_1.ValidationTarget.SPACE_AFTER
      )
      token.modifiedSpaceAfter = token.spaceAfter
    }
  }
}
exports.defaultConfig = {}
exports.default = generateHandler
